List available registries
Lists the organization's registries available to a project, which its environments pull with, besides its own.
GET
Lists the organization's registries available to a project, which its environments pull with, besides its own.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of registries to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
registries*array<>Registries, oldest first.
curl -X GET 'https://api.kosem.ai/v1/projects/string/available-registries'Example Response
{
"nextPageToken": "string",
"registries": [
{
"availability": {
"allProjects": true,
"projects": [
"string"
]
},
"aws": {
"role": "string"
},
"createTime": "2019-08-24T14:15:22Z",
"description": "string",
"google": {
"provider": "string",
"serviceAccount": "string"
},
"lastPullTime": "2019-08-24T14:15:22Z",
"name": "string",
"prefix": "string",
"state": "ACTIVE",
"stateReason": "string",
"token": {
"secret": "string",
"username": "string"
},
"trust": {
"attributeCondition": "string",
"audience": "string",
"issuer": "string",
"subject": "string"
},
"updateTime": "2019-08-24T14:15:22Z",
"verification": {
"steps": [
{
"said": "string",
"state": "PASSED",
"step": "TRUST"
}
],
"verifyTime": "2019-08-24T14:15:22Z"
}
}
]
}